import * as React from "react";
import { View, Text, TouchableOpacity, Image, } from "react-native";
import { _backspaceStyle, _buttonStyle, _outerStyle, _textStyle, } from "./Keypad.style";
import { BACKSPACE_KEYPAD } from "../../ModernKeyboard";
const Keypad = ({ text, size = 75, outerBackgroundColor = "transparent", outerActiveBackgroundColor = "rgba(0, 173, 255, 0.1)", buttonColor = "#fff", buttonActiveColor = "#00ADFF", textColor = "#000", textActiveColor = "#fff", backspaceStyle, backspaceImageSource = require("../../local-assets/backspace.png"), textStyle, onPress, }) => {
    const [isPressed, setPressed] = React.useState(false);
    const renderBackspace = () => (<Image source={backspaceImageSource} style={[
        _backspaceStyle(isPressed, textColor, textActiveColor),
        backspaceStyle,
    ]}/>);
    const renderText = () => (<Text style={[_textStyle(isPressed, textColor, textActiveColor), textStyle]}>
      {text}
    </Text>);
    return (<View style={_outerStyle(isPressed, size, outerBackgroundColor, outerActiveBackgroundColor)}>
      <TouchableOpacity activeOpacity={1} style={_buttonStyle(isPressed, size, buttonColor, buttonActiveColor)} onPressIn={() => {
        setPressed(true);
    }} onPressOut={() => {
        setPressed(false);
        onPress?.();
    }}>
        {text === BACKSPACE_KEYPAD ? renderBackspace() : renderText()}
      </TouchableOpacity>
    </View>);
};
export default Keypad;
//# sourceMappingURL=Keypad.js.map